#/*
# * Copyright (C) 2020, KylinSoft Co., Ltd.
# *
# * This program is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program.  If not, see <https://www.gnu.org/licenses/>.
# */

import dbus

# 连接到DBus系统总线
bus = dbus.SystemBus()

# 获取DBus上的对象
obj = bus.get_object('com.kylin.kysec', '/netctl')

# 检查对象是否支持所需的接口
    # 调用方法
try:
        # 假设 kysec_netctl_ext_add 需要一些参数，这里你需要替换为你实际的参数
        # 注意：你可能需要查阅文档或源代码来确定正确的参数列表
    result = obj.kysec_netctl_ext_add(1000,"/usr/sbin/kylin-update-rescue",1,"kylin-update-rescue","","",1,dbus_interface = "com.kylin.kysec.netctl")
    print("Method called successfully:", result)
except Exception as e:
    print("Error calling method:", e)

try:
        # 假设 kysec_netctl_ext_add 需要一些参数，这里你需要替换为你实际的参数
        # 注意：你可能需要查阅文档或源代码来确定正确的参数列表
    result = obj.kysec_netctl_pkg_add(1000,"kylin-software-properties",1,"","",1,dbus_interface = "com.kylin.kysec.netctl")
    print("Method called successfully:", result)
except Exception as e:
    print("Error calling method:", e)

